﻿@{
    ViewBag.Title = "Order_send_point";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
<div class="width1100" style="margin-top:15px; text-align:center;" data-aos="fade-up" data-aos-duration="2000">
    <p class="pTit" id="t_page_title">골드 전송</p>
    <div class="tabWrap">
        <ul>
            <li class="tab02 on"><a href="@Url.Action("order_buy_point","Order")" )"><span>충전</span></a></li>
            <li class="tab02 on"><a href="@Url.Action("order_withdraw_point","Order")"><span>출금</span></a></li>
            <li class="tab02 on"><a href="@Url.Action("order_list_point","Order")"><span>내역</span></a></li>
        </ul>
    </div>
    <div class="pTable">
        <div name="order_send_form" id="order_send_form" class="form-horizontal">
            <input type="hidden" name="user_amt" id="user_amt" value="@ViewBag.amount">
            <input type="hidden" name="receive_check" id="receive_check">
            <p class="th">현재 보유 골드</p>
            <p class="td">
                <input type="text" class="in100c" value="@ViewBag.amount Point" readonly>
            </p>
            <p class="th">골드 전송</p>
            <p class="td">
                <input type="text" placeholder="수량" id="point" class="in100" numberonly style="background:#fff;">
            </p>

            <p class="th">받는사람 ID</p>
            <p class="td">
                <input type="text" class="in100" id="receive_id" style="background:#fff;">
                <span class="btnCheck" onclick="doSearch();" style="cursor:pointer;">확인</span>
            </p>

            <p class="th"> 비밀번호</p>
            <p class="td"><input type="password" id="buy_pass" class="in100" style="background:#fff;"></p>

            <div class="btnWrap">
                <button class="btnCa" type="button" onclick="doAction();" style="width:100px; height:40px;">확인</button>
                <a href="@Url.Action("Index","Main")" class="btnCa" style="width:100px; height:40px;">취소</a>
            </div>
        </div>
    </div>
</div>
<script>
	$(document).ready(function() {
		$("#receive_id").change(function(){
			$("#receive_check").val("N");
		});
	});

	function doSearch(){
		if($.trim($("#receive_id").val()) == "") {
			alert("받는사람 ID를 입력해 주세요.");
			$("#receive_id").focus();
		}
		else {
			var pUid = $("#receive_id").val();
            //alert(pUid); return;
			$.ajax({
				type: "POST",
				url: "/Order/ChkUserID",
				data: "{'pUid':'" + pUid + "'}",
				contentType: "application/json; charset=utf-8",
				dataType: "json",
				success: function (msg) {
                    if (msg.err == '0') {
                        alert(msg.errmsg);
						$("#receive_check").val("Y");

                    } else {
                        alert(msg.errmsg);
                    }
				}
			});
		}
	}

	function doValidate(){

		if($("#product_qty").val() == "" || parseInt($("#product_qty").val()) < 1) {
			alert("포인트를 입력해 주세요.");
			$("#product_qty").focus();
			return false;
		}

		if(parseInt($("#product_qty").val()) > parseInt($("#user_amt").val())) {
			alert("포인트가 부족합니다.\n보유한 포인트를 확인해 주세요.");
			$("#input_point").focus();
			return false;
		}

		if($.trim($("#receive_id").val()) == "") {
			alert("받는사람 ID를 입력해 주세요.");
			$("#receive_id").focus();
			return false;
		}

		if($.trim($("#receive_check").val()) != "Y") {
			alert("아이디가 확인되지 않았습니다.\n아이디 확인을 진행해 주세요.");
			$("#receive_id").focus();
			return false;
		}

		if($.trim($("#buy_pass").val()) == "") {
			alert("비밀번호를 입력해 주세요.");
			$("#buy_pass").focus();
			return false;
		}

		return true;
	}

	function doAction(){
		if (doValidate()){
			if (confirm("꿀벌을 전송 하시겠습니까?")) {
                var point = $("#point").val();
                var pass = $("#buy_pass").val();
                $.ajax({
                    type: "POST",
                    url: "/Order/TranPoint",
                    data: "{'point':" + point + ",'pass':'" + pass+"'}",
                    contentType: "application/json; charset=utf-8",
					dataType: "json",
                    success: function (msg) {
                        if (msg.err == '0') {
                            alert(msg.errmsg);
                            location.reload();
                        } else {
                            alert(msg.errmsg);
                        }
                    }
				});
			}
		}
	}
</script>